
Foreman - Feature #416

Report on inconsistant facts

10/25/2010 07:40 PM - Ashley Penney

Status: New   

Priority: Normal   

Assignee:    

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As discussed on IRC we believe a good feature would be to offer a report that discovers mismatches between the facts puppet and

foreman have.  This would assist in the discovery of cases where machines have been manually modified or changed and foreman is

unaware of the differences.

Related issues:

Related to Foreman - Bug #1016: Environement may be altered via another sourc... Rejected 06/30/2011

Related to Foreman - Bug #636: Foreman doews not recognise a change in the en... Closed 01/31/2011

History

#1 - 11/09/2010 08:09 AM - Ohad Levy

- Assignee set to Paul Kelly

- Target version set to 0.2

This should cover scenarios where the provisioning data has been modified (IP, MAC), and foreman learns about it via the puppet facts.

Alerts should be send to the host owner

#2 - 01/24/2011 03:12 PM - Ohad Levy

@Paul, any update on this one? or are we going to bump it a version?

#3 - 01/30/2011 04:44 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to feature/416-inconsistant-fact-reporter

I think the logic is good in here but maybe you do not like the gateway_if fact conversion. However I will need this.

#4 - 01/30/2011 08:36 AM - Paul Kelly

Note that I have not included a check for previous messages being set to that user. Is this a requirement or a "nice to have"?

#5 - 03/15/2011 03:25 AM - Ohad Levy

- Target version changed from 0.2 to 0.3

#6 - 03/17/2011 08:21 AM - Paul Kelly

rebased and tested

#7 - 03/30/2011 08:27 AM - Paul Kelly

Rebased and tested

#8 - 05/05/2011 04:10 AM - Ohad Levy

- Target version deleted (0.3)
#9 - 05/10/2011 03:44 AM - Paul Kelly

rebased

#10 - 06/01/2011 04:06 AM - Paul Kelly

rebased and tested

#11 - 06/17/2011 11:22 AM - Paul Kelly

rebased and tested

#12 - 07/15/2011 10:41 AM - Paul Kelly

rebased and tested

#13 - 07/22/2011 06:42 AM - Paul Kelly

Rebased and tested for the twelfth time :-)

#14 - 07/24/2011 03:04 AM - Ohad Levy

http://groups.google.com/group/foreman-dev/browse_thread/thread/42a807a930566c3a/5be1698b1270aa5e?hl=en&lnk=gst&q=416#5be1698b1270a

a5e

?

#15 - 02/29/2016 04:16 AM - Ori Rabin

- Status changed from Ready For Testing to New

- Assignee deleted (Paul Kelly)

Still a valid feature but the code has changed in 4 years so putting this back on New
